| Home | Libraries | People | FAQ | More

## Function to_upper_copy

boost::algorithm::to_upper_copy — Convert to upper case.

## Synopsis

    // In header: <boost/algorithm/string/case_conv.hpp>

    template<typename OutputIteratorT, typename RangeT>
      OutputIteratorT
      to_upper_copy(OutputIteratorT Output, const RangeT & Input,
                    const std::locale & Loc = std::locale());
    template<typename SequenceT>
      SequenceT to_upper_copy(const SequenceT & Input,
                              const std::locale & Loc = std::locale());

## Description

Each element of the input sequence is converted to upper case. The result is a copy of the input converted to upper case. It is returned as a sequence or copied to the output iterator

| Note
The second variant of this function provides the strong exception-safety guarantee

Parameters:

`Input` | An input range
`Loc` | A locale used for conversion
`Output` | An output iterator to which the result will be copied

Returns: | An output iterator pointing just after the last inserted character or a copy of the input